### Method

# GimpUi ColorSelection set_simulation

unstable since: 3.0

#### Declaration [src]

    void
    gimp_color_selection_set_simulation (
      GimpColorSelection* selection,
      GimpColorProfile* profile,
      GimpColorRenderingIntent intent,
      gboolean bpc
    )

#### Description [src]

Sets the simulation options to use with this color selection.

Available since: 3.0

#### Parameters

`profile`

  Type: `GimpColorProfile`

  A `GimpColorProfile` object.

  The data is owned by the caller of the function.

`intent`

  Type: `GimpColorRenderingIntent`

  A `GimpColorRenderingIntent` enum.

`bpc`

  Type: `gboolean`

  A gboolean.